<?php
session_start();
include('../db.php');

if (!session_is_registered("clave_audio")) {
	include("../login.php");
	if (!$continuar) exit;
}

if(isset($_REQUEST['op'])){
	$operacion = $_REQUEST['op'];

// here I read the variables passed by the calling page.	
$glosario_tipo=$_REQUEST['glosario_tipo'];
$glosario_palabra=$_REQUEST['glosario_palabra'];
$glosario_descripcion=$_REQUEST['glosario_descripcion'];
$glosario_url=$_REQUEST['glosario_url'];

	
	if(db_connect()) {
		switch($operacion) {
			case "add":
				$sql = 'INSERT INTO edito_glosario(glosario_tipo, glosario_palabra, glosario_descripcion, glosario_url) VALUES("' . $glosario_tipo . '", "' . $glosario_palabra . '", "' . $glosario_descripcion . '", "' . $glosario_url . '");';		
				break;

			case "edit":
				$sql = 'UPDATE edito_glosario SET glosario_tipo="' . $glosario_tipo . '", glosario_palabra="' . $glosario_palabra . '", glosario_descripcion="' . $glosario_descripcion . '", glosario_url="' . $glosario_url . '" WHERE glosario_id = ' . $_REQUEST['id'];		
				break;

			case "del":
				$sql = 'DELETE FROM edito_glosario WHERE glosario_id = ' . $_REQUEST['id'];
				break;

			default:
				break;
		}
		$result = mysql_query($sql) or header('Location: ../error.php');
		header('Location: glosario.php');
	}
}
?>